LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Slackware-current and amarok compilation (http://www.linuxquestions.org/questions/slackware-14/slackware-current-and-amarok-compilation-791996/)

perfect_circle 02-27-2010 01:08 PM

Slackware-current and amarok compilation
 
Has anybody tried to compile amarok in slackware current? I get compilation errors with versions 2.3 Beta and 2.2.2. It used to compile fine when my Slackware was in a custom state, (Slackware 13 + kde 4.3.4 + kde dependencies upgraded) but not anymore after syncing it to slackware-current. I also tried alien bob's KDE 4.4 packages but it did not make any difference at all.Any Hints?
I get the feeling it has to do with the new development packages (gcc-4.4.4, etc) but I'm not sure.

sahko 02-28-2010 07:15 AM

I currently have problems compiling many KDE apps incl. ktorrent 3.3.4 & k3b beta.
I last compiled amarok 2.2.2 successfully in January using gcc 4.4.3 but havent tried since.
But some other people in ##slackware have reported failed compilations of amarok lately.
I dont know what the problem really is.

perfect_circle 03-18-2010 08:20 AM

The problem has always been -DKDE4_ENABLE_FINAL=\"ON\" option passed to cmake. As far as I see this has been corrected in recent updates of slackware current....

razb 03-18-2010 09:36 AM

I compiled it without any promlems. I used vbatts's amarok slackbuild for 2.2.0 with little changes.

LordAnta 03-18-2010 11:57 AM

I succesufully compiled amarok 2.3.0 using Pat's slackbuild from slack current

perfect_circle 03-18-2010 12:05 PM

Yeah, that's what I'm saying. Pat has removed -DKDE4_ENABLE_FINAL=\"ON\" from KDE_OPT_ARGS variable in KDE.options and now it compiles just fine.


All times are GMT -5. The time now is 09:16 AM.